Texa Desk Application API · Inboxes
List Agents in Inbox
GET/
Get Details of Agents in an Inbox
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
inbox_idintegerrequiredThe ID of the Inbox
inbox_idintegerrequiredThe ID of the Inbox
Responses
200Success
payloadarray of objectArray of all active agents
payload[].idintegerpayload[].account_idintegerpayload[].availability_statusstringThe effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests. One of: online, busy, offline.
payload[].auto_offlinebooleanWhether the agent is automatically marked offline when they are away.
payload[].confirmedbooleanWhether the agent has confirmed their email address.
payload[].emailstringThe email of the agent
payload[].available_namestringThe available name of the agent
payload[].namestringThe name of the agent
payload[].rolestringThe role of the agent One of: agent, administrator.
payload[].thumbnailstringThe thumbnail of the agent
payload[].custom_role_idintegerThe custom role id of the agent
404Inbox not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring